DH_AUTO_CONFIGURE(1)

NOM
dh_auto_configure - Configurer automatiquement un paquet préalablement à sa construction

SYNOPSIS
dh_auto_configure [options_du_processus_de_construction] [options_de_debhelper] [-- paramètres]

DESCRIPTION
dh_auto_configure est un programme de la suite debhelper qui tente de configurer automatiquement un paquet préalablement à sa construction. Il le fait en lançant les commandes appropriées du processus de construction d'après le type du paquet. Par exemple, il cherche puis exécute un script ./configure, un fichier Makefile.PL, Build.PL ou cmake. Un jeu de paramètres standards est déterminé et passé en argument au programme lancé. Certains processus de construction, tels que make, n'ont pas besoin de configuration préalable. Dans ce cas dh_auto_configure s'arrête sans rien faire.

dh_auto_configure fonctionne avec 90% des paquets environ. Si ça ne fonctionne pas, il suffit de sauter dh_auto_configure et de lancer manuellement ./configure ou son équivalent.

OPTIONS
Consulter OPTIONS DU PROCESSUS DE CONSTRUCTION dans debhelper(7) pour obtenir la liste des processus de construction courants et celle des options de contrôle.

-- paramètres
    Transmet les paramètres au programme exécuté après les paramètres que dh_auto_configure transmet normalement. Par exemple :

     dh_auto_configure -- --with-toto --enable-titi

VOIR AUSSI
debhelper(7)

Ce programme fait partie de debhelper.

AUTEUR
Joey Hess <joeyh@debian.org>

TRADUCTION
Cette traduction est maintenue à l'aide de l'outil po4a <URL:http://po4a.alioth.debian.org/> par l'équipe francophone de traduction de Debian.

Veuillez signaler toute erreur de traduction en écrivant à <debian-l10n-french@lists.debian.org> ou par un rapport de bogue sur le paquet debhelper.

Vous pouvez toujours avoir accès à la version anglaise de ce document en utilisant la commande « man -L C <section> <page_de_man> ».